---
title: HTMLMediaElement.controls
slug: Web/API/HTMLMediaElement/controls
tags:
  - API
  - HTML DOM
  - HTMLMediaElement
  - Property
  - Web
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLMediaElement.controls</code></strong> property reflects the {{htmlattrxref("controls", "video")}} HTML attribute, which controls whether user interface controls for playing the media item will be displayed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>ctrls</em> = <em>video</em>.controls;
<em>audio</em>.controls = true;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}}. A value of <code>true</code> means controls will be displayed.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var obj = document.createElement('video');
obj.controls = true;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-media-controls", "HTMLMediaElement.controls")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName('HTML5 W3C')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#htmlmediaelement", "HTMLMediaElement.controls")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.controls")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLMediaElement")}}.</li>
</ul>
